Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Emanuele_P_
Beginner
71 Views

i can't uninstall the version 3522

I want to uninstall the latest version of XDK from pc but after following all the steps I realize that the program is always present and working properly. help ... I want to go back to the old version as I can uninstall the last? The uninstall don't work.

Tags (2)
0 Kudos
10 Replies
PaulF_IntelCorp
Employee
71 Views

Emanuele_P_
Beginner
71 Views

I did as directed by you but the system keeps saying that a newer version is installed in the system

PaulF_IntelCorp
Employee
71 Views

Did you follow the instructions to delete both locations, where the app is stored AND where the app cached files are stored (where the global-settings.xdk file is stored)?

Emanuele_P_
Beginner
71 Views

Yes sure. I saw the problem continues, I also removed by hand all the calls in the registry file but I still have the problem.

Emanuele_P_
Beginner
71 Views

I want to remove the latest version to return to 3088 because I'm developing a program that works with the 3088 version and does not recognize me the javascript code in the latest version.

Emanuele_P_
Beginner
71 Views

Now I manually removed the latest version and I can't install the old and the new because the system does not recognize the uninstallation

PaulF_IntelCorp
Employee
71 Views

Emanuele -- there is no need to remove any registry setting so uninstall or re-install. You can only install one version (it's possible to install multiple versions, but it's a bit tricky on Windows) at a time.

When you say the new version "does not recognize the javascript code" I assume you are referring to the fact that the intel.xdk APIs are not present in the Simulate tab. Those APIs were deprecated over six months ago and have been retired. There are plugins that can be used to add them to your code, but the Simulate tab will only bring up an "unimplemented API" dialog that you'll have to work with. The better way to work with those APIs, if you insist on using them, is to include the appropriate plugins in your project and then use the Debug tab.

See this doc page regarding those old APIs > https://software.intel.com/en-us/xdk/docs/intel-xdk-api-cordova-plugin-methods-properties-events < I recommend you update your app to use current Cordova APIs and plugins, not those now unsupported intel.xdk APIs.

Emanuele_P_
Beginner
71 Views

 

I have to thank you. You have been very kind. The fast Responses you had to give. But now comes a new problem. I would be sure that the problem is related to the API. If you can help me, I'd like to understand. I'll explain where exactly the problem.

I had to create a database with SQLite to store data based with the pressure or less of a few buttons.

I appointed the buttons with unique names that were called from a program that was run the javascript routines to control which field to add.

The program relating to sqlite I plugged in:

js/index_user_scripts.js

To following the commands that the program creates automatically when you assign a function to the button.

Once updated XDK no longer worked at all. Also the buttons it the script.

Then I created a file called xxx.js and I entered into the programming for sqlite.

This file I call him from the index.html file with the line:

<Script type = "application/javascript" src = "js/xxx.js"> </ script>

At this point the buttons work, but no database.

Where am I wrong?

Tks avant.

PaulF_IntelCorp
Employee
71 Views

I believe attempting to access your database from within the Simulate tab will not work. Are you using the SQLite database plugin or ???

Emanuele_P_
Beginner
71 Views

No. I did not use any plugins. But first it worked.

Reply